| Home | Libraries | People | FAQ | More

## Struct template deleter

boost::interprocess::segment_manager::deleter

## Synopsis

    // In header: <boost/interprocess/segment_manager.hpp>

    template<typename T>
    struct deleter {
      // types
      typedef boost::interprocess::deleter< T, segment_manager > type;
    };

## Description

This is the default deleter to delete types T from this managed segment.